wayland::server::seat_capability(3)

NAME
wayland::server::seat_capability - seat capability bitmask

SYNOPSIS

#include <wayland-server-protocol.hpp>

Inherits wayland::detail::bitfield< size, id >.

  Static Public Attributes

static const wayland::detail::bitfield< 3, 12 > pointer
the seat has pointer devices
static const wayland::detail::bitfield< 3, 12 > keyboard
the seat has one or more keyboards
static const wayland::detail::bitfield< 3, 12 > touch
the seat has touch devices

Detailed Description

seat capability bitmask

This is a bitmask of capabilities this seat has; if a member is set, then it is present on the seat.

Definition at line 2771 of file wayland-server-protocol.hpp.

Member Data Documentation

  const wayland::detail::bitfield<3, 12> wayland::server::seat_capability::keyboard [static]

the seat has one or more keyboards

Definition at line 2780 of file wayland-server-protocol.hpp.

  const wayland::detail::bitfield<3, 12> wayland::server::seat_capability::pointer [static]

the seat has pointer devices

Definition at line 2778 of file wayland-server-protocol.hpp.

  const wayland::detail::bitfield<3, 12> wayland::server::seat_capability::touch [static]

the seat has touch devices

Definition at line 2782 of file wayland-server-protocol.hpp.

Author

Generated automatically by Doxygen for Wayland++ from the source code.